<script lang="ts" setup>
import { computed } from 'vue';

const props = defineProps({
  header: {
    type: String,
    required: false,
    default: null,
  },
  text: {
    type: String,
    required: false,
    default: null,
  },
  imgVariant: {
    type: Number,
    required: false,
    default: 1,
  },
});

const variantClass = computed(() => `variant${props.imgVariant}`);
</script>

<template>
  <div class="survey-header" data-aos="fade-right" data-aos-duration="700">
    <div class="survey-header__content" :class="variantClass">
      <SlpTypography v-if="header" tag="h3" class="header">
        {{ header }}
      </SlpTypography>
      <SlpTypography v-if="header && text" tag="p" variant="heading3-bold">
        {{ text }}
      </SlpTypography>
      <SlpTypography v-if="!header && text" tag="h3" class="intro-text" variant="heading3-bold">
        {{ text }}
      </SlpTypography>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.survey-header {
  margin-bottom: 32px;

  &__content {
    color: #232150;
    position: relative;
    text-align: left;
    padding: 48px 0 16px 64px;
    margin-bottom: 32px;

    .header {
      font-family: 'GitLab Mono';
      margin-bottom: 4px;
      font-size: 14px;
    }

    &:before {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 134px;
      height: 108px;

      @media (max-width: $breakpoint-md) {
        width: 150px;
      }
    }

    &.variant1:before {
      background: url('/public/images/developer-survey/2024/2024-corner-variant-1.svg') no-repeat;
      background-size: contain;
    }

    &.variant2:before {
      background: url('/public/images/developer-survey/2024/2024-corner-variant-2.svg') no-repeat;
      background-size: contain;
    }

    &.variant3:before {
      background: url('/public/images/developer-survey/2024/2024-corner-variant-3.svg') no-repeat;
      background-size: contain;
    }

    &.variant4:before {
      background: url('/public/images/developer-survey/2024/2024-corner-variant-4.svg') no-repeat;
      background-size: contain;
    }

    &.variant5:before {
      background: url('/public/images/developer-survey/2024/2024-corner-variant-5.svg') no-repeat;
    }
  }
}
</style>
